## net.i2p.router.transport.tcp
Class TCPListener.ListenerRunner

    java.lang.Object
      net.i2p.router.transport.tcp.TCPListener.ListenerRunner

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  TCPListener

     class TCPListener.ListenerRunner

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`TCPListener.ListenerRunner(TCPAddress address)`

Method Summary
`TCPAddress` `getMyAddress()`
`void` `run()`
`void` `stopListening()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPListener.ListenerRunner

    public TCPListener.ListenerRunner(TCPAddress address)

Method Detail

### stopListening

    public void stopListening()

### getMyAddress

    public TCPAddress getMyAddress()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`